Subject: Re: [TLS] PRF Negotiation

From: "Gregory S. Chudov" <[email-masked]>
Date: Mon, 31 Jan 2005 22:18:28 +0300

Greetings.

What bothers me, is that at least in case with GOST, PRF selection
is closely tied with ciphersuite choice. We made it an extension just
to be compatible with current TLS RFC. Maybe the best way would
be just to state that PRF, handshake hash and MAC algorithm selection
is also part of ciphersuite, like Dan sujested. That would save some
traffic (those extensions can waste up to 100 bytes), and ease
implementation.

But i'm afraid, it's too late for such modifications to rfc2246bis?

Greg

----- Original Message ----- 
From: "Russ Housley" <[email-masked]>
To: "Dan Simon" <[email-masked]>; <[email-masked]>
Sent: Saturday, October 23, 2004 10:06 PM
Subject: [TLS] PRF Negotiation

> The PRF is not currently negotiated as part of the cipher suite.  However,
> the draft-ietf-tls-gost-00.txt draft proposes a way to negotiate the PRF,
> but it is done independently from the rest of the algorithm negotiations.
>
> Given that at least one person other than the GOST algorithm specification
> authors is interested in PRF negotiation, I would like to see a discussion
> about this topic.  Have the GOST algorithm specification authors done this
> in the best possible way?  What are the alternatives?
>
> The GOST algorithm specification authors' proposal also has an impact on
> the Finished message.  This leads to other questions.  Can one negotiate
> which hash function to use when that hash function is in turn used to
> protect the integrity of the whole algorithm negotiation process?
>
> Russ

_______________________________________________
TLS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tls

---

From: Eric Rescorla <[email-masked]>
Date: Mon, 31 Jan 2005 11:35:54 -0800

> But i'm afraid, it's too late for such modifications to rfc2246bis?

I think it's *way* too late to make a major technical change like
this to RFC 2246-bis. If the only thing one is saving is 
100 bytes of traffic, that doesn't seem like that big a win.

-Ekr